Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.query
Class QueryObjectCache

    java.lang.Object
      com.sun.mdm.index.query.QueryObjectCache

class QueryObjectCache
extends java.lang.Object

Constructor Summary
`(package private)` | `QueryObjectCache(QueryObject qo, QMIterator qmIterator, java.util.List[] bindParamLists)` Creates a new instance of QueryObjectCache

Method Summary
`boolean` | `equals(QueryObjectCache theOther)`
`(package private) java.util.List[]` | `getBindParamList()`
`(package private) QMIterator` | `getQMIterator()`
`(package private) QueryObject` | `getQueryObject()`
`(package private) boolean` | `isPrepare()`
`(package private) void` | `setBindParamList(java.util.List[] bindParamList)`
`(package private) void` | `setQMIterator(QMIterator qmIterator)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryObjectCache

    QueryObjectCache(QueryObject qo,
                     QMIterator qmIterator,
                     java.util.List[] bindParamLists)

  Creates a new instance of QueryObjectCache

  Parameters:
    `qo` -
    `qmIterator` -

Method Detail

### equals

    public boolean equals(QueryObjectCache theOther)

### getBindParamList

    java.util.List[] getBindParamList()

### getQMIterator

    QMIterator getQMIterator()

### getQueryObject

    QueryObject getQueryObject()

### isPrepare

    boolean isPrepare()

### setBindParamList

    void setBindParamList(java.util.List[] bindParamList)

### setQMIterator

    void setQMIterator(QMIterator qmIterator)

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.